﻿<!-- templates/admin_picture.html -->
{% extends 'base.html' %}

{% block title %} 主页 {% endblock %}

{% block head %}
{{ super() }}
<script>
	function CheckReasonExist() {
		pass = document.getElementsByName('pass');
		reason = document.getElementsByName('reason1');
		if (pass[1].checked == true && reason[0].value == "") {
			alert("请填写不通过理由！");
			return false;
		}
		return true;
	}
</script>
{% endblock %}

{% block page_header %}
{{ super() }}
{% endblock %}

{% block content %}
<main class="main-content">
	<section class="section-featured-products">
		<div class="container">
			<div class="section-title text-center">
				{% if products %}
				<h2 class="h3 section-title__heading">您要审核的商品如下</h2>
				{% else %}
				<h2 class="h3 section-title__heading">您暂时没有要审核的商品</h2>
				{% endif %}
			</div>

			<center>
				{% for prod in products %}
				{% if prod.update_admin %}
				<br>
				<li class="product">
					<br>
					<div class="product-title">
						商品名：{{ prod.name }} <br>
						商品描述：{{prod.desc}} <br>
						商品价格：{{prod.price}}<br>
					</div>
					<div class="procDisplay">
						<img src="{{ url_for('static',filename=prod.img) }}" alt="未上传">
					</div>
					<center>
						<form method="post" action='/admin/picture/{{prod.id}}'>
							<label>不通过原因：<input type="reason" name="reason1" value="" maxlength="400"></label><br>
							<input type="radio" name="is_pass" value="yes" checked="true">通过
							<input type="radio" name="is_pass" value="no">不通过<br>
							<button type="submit" onclick="return CheckReasonExist()"
								class="btn btn-primary mr-1 mb-3">确定</button>
						</form>
					</center>
					{% endif %}
					{% endfor %}
			</center>

			<li class="nav-item">
				<center><a class="btn btn-primary mr-1 mb-3" href="{{ url_for('user.panel') }}">返回</a>
				</center>
			</li>
		</div>
	</section>
</main> <!-- end of main -->
{% endblock %}

{% block page_footer %}
{{ super() }}
{% endblock %}

{% block search_wrap %}
{{ super() }}
{% endblock %}